Update Static QR
curl --request PUT \
--url https://api.hit-pay.com/v1/static_qr/{static_qr_id} \
--header 'Content-Type: application/json' \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>' \
--data '
{
"name": "<string>",
"location_id": "9cc4aee8-c1b4-4401-af57-aea884c780cb",
"amount": 10.99,
"currency": "sgd"
}
'import requests
url = "https://api.hit-pay.com/v1/static_qr/{static_qr_id}"
payload = {
"name": "<string>",
"location_id": "9cc4aee8-c1b4-4401-af57-aea884c780cb",
"amount": 10.99,
"currency": "sgd"
}
headers = {
"X-BUSINESS-API-KEY": "<x-business-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-BUSINESS-API-KEY': '<x-business-api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
location_id: '9cc4aee8-c1b4-4401-af57-aea884c780cb',
amount: 10.99,
currency: 'sgd'
})
};
fetch('https://api.hit-pay.com/v1/static_qr/{static_qr_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"reference": "<string>",
"payment_provider": "<string>",
"payment_provider_method": "<string>",
"amount": 123,
"currency": "<string>",
"payment_provider_method_logos": [
{
"sm": "<string>",
"md": "<string>",
"lg": "<string>",
"svg": "<string>",
"svg_square": "<string>",
"png_square": "<string>",
"method": "<string>",
"iconName": "<string>",
"displayName": "<string>"
}
],
"payment_provider_method_main_logo": {
"sm": "<string>",
"md": "<string>",
"lg": "<string>",
"svg": "<string>",
"svg_square": "<string>",
"png_square": "<string>",
"method": "<string>",
"iconName": "<string>",
"displayName": "<string>"
},
"created_by": {
"id": "<string>",
"display_name": "<string>",
"first_name": "<string>",
"last_name": "<string>"
},
"location_id": "<string>",
"location": {
"name": "<string>",
"address": "<string>"
},
"device_id": "<unknown>",
"device": "<unknown>",
"qr_value": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Static QR Codes
Update Static QR
Update a static QR code’s label or configuration
PUT
/
v1
/
static_qr
/
{static_qr_id}
Update Static QR
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Path Parameters
The static QR id
Body
application/json
Static QR name
Maximum string length:
255The active location id that the static QR will use.
Example:
"9cc4aee8-c1b4-4401-af57-aea884c780cb"
The amount for static QR.
Required range:
x >= 0Example:
10.99
The currency for static QR. It's required field if the amount is present.
Maximum string length:
3Example:
"sgd"
Response
200 - application/json
200
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on February 25, 2026
Was this page helpful?
⌘I